Subject: Bug#3522: kernel-package image.postinst troubles.

From: Buddha Buck <[email-masked]>
Date: Fri, 05 Jul 1996 01:17:22 -0400

Package: kernel-package
Version: 2.00

I used the new kernel-package to build and install linux 2.0.1.  I have 
already
reported one set of problems, but there are more...

Previously, I reported that make-kpkg wouldn't accept kernel-image as a 
valid target.  All my testing since has been with dist as a target.

Building the kernel-image package failed because make-kpkg couldn't 
find 
the debian/image.postinst file.  The problem proved to be a lack of a 
$(DEBDIR) in a critical place in the /usr/lib/kernel-package/debian/kern
el.rules
file.  A patch is attached that should fix it.

After that patch, the kernel-image, kernel-headers, and kernel-source 
packages
all build correctly.  A make-kpkg dist only generated a .diff and a 
.changes
file for the kernel-source package, though.  Is this correct?  Also, 
some
warning in advance that "make-kpkg dist" will demand a PGP key would 
have been
nice (used to sign the .changes file).

Installation of kernel-image failed when I tried to run lilo to install 
a new
boot block.  The postinst perl script executes:
  system("/usr/sbin/lilo", "-t >/tmp/lilo_log.$$");
to verify that lilo will work correctly.  I believe that that should be 
simply:
  system("/usr/sbin/lilo -t >/tmp/lilo_log.$$");
instead.  (Perl interprets the arguments to system() differently if 
there is more than one).  I would have included a patch, but I didn't 
want to rebuild the kernel to test it.

Installation of kernel-source failed when it tried to link 
/usr/src/linux
to /usr/src/kernel-source-2.0.1.  /usr/src/linux was already linked to 
/usr/src/.kernel-headers, dating from a previous installation (of what, 
I'm
not certain.  I don't have a .kernel-headers directory).  If it is 
reasonable
to do so, the kernel-source postinst should clear any previous link 
first.
I am not certain how these links are supposed to be managed WRT libc.  

-- 
--
     Buddha Buck                      [email-masked]
"Just as the strength of the Internet is chaos, so the strength of our
liberty depends upon the chaos and cacaphony of the unfettered speech
the First Amendment protects."  -- A.L.A. v. U.S. Dept. of Justice